<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Plugins
include_once(PHPWG_ROOT_PATH.'admin/include/plugins.class.php');
$plugins = new plugins();
$update_plugins = array();
if ($plugins->get_server_plugins())
{
  foreach($plugins->fs_plugins as $plugin_id => $fs_plugin)
  {
    if (isset($fs_plugin['extension'])
      and isset($plugins->server_plugins[$fs_plugin['extension']]))
    {
      $plugin_info = $plugins->server_plugins[$fs_plugin['extension']];

      if (!$plugins->plugin_version_compare($fs_plugin['version'], $plugin_info['revision_name']))
      {
        $update_plugins[] = array(
          'ID' => $plugin_info['extension_id'],
          'PLUGIN_ID' => $plugin_id,
          'REVISION_ID' => $plugin_info['revision_id'],
          'EXT_NAME' => $fs_plugin['name'],
          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$plugin_info['extension_id'],
          'EXT_DESC' => trim($plugin_info['extension_description'], " \n\r"),
          'REV_DESC' => trim($plugin_info['revision_description'], " \n\r"),
          'CURRENT_VERSION' => $fs_plugin['version'],
          'NEW_VERSION' => $plugin_info['revision_name'],
          'AUTHOR' => $plugin_info['author_name'],
          'DOWNLOADS' => $plugin_info['extension_nb_downloads'],
          'URL_DOWNLOAD' => $plugin_info['download_url'] . '&amp;origin=piwigo_download',
          'IGNORED' => in_array($plugin_id, $conf['AU_ignore']['plugins']),
        );
      }
    }
  }
}

// Themes
include_once(PHPWG_ROOT_PATH.'admin/include/themes.class.php');
$themes = new themes();
$update_themes = array();
if ($themes->get_server_themes())
{
  foreach($themes->fs_themes as $theme_id => $fs_theme)
  {
    if (isset($fs_theme['extension'])
      and isset($themes->server_themes[$fs_theme['extension']]))
    {
      $theme_info = $themes->server_themes[$fs_theme['extension']];

      if (!$themes->theme_version_compare($fs_theme['version'], $theme_info['revision_name']))
      {
        $update_themes[] = array(
          'ID' => $theme_info['extension_id'],
          'THEME_ID' => $theme_id,
          'REVISION_ID' => $theme_info['revision_id'],
          'EXT_NAME' => $fs_theme['name'],
          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$theme_info['extension_id'],
          'EXT_DESC' => trim($theme_info['extension_description'], " \n\r"),
          'REV_DESC' => trim($theme_info['revision_description'], " \n\r"),
          'CURRENT_VERSION' => $fs_theme['version'],
          'NEW_VERSION' => $theme_info['revision_name'],
          'AUTHOR' => $theme_info['author_name'],
          'DOWNLOADS' => $theme_info['extension_nb_downloads'],
          'URL_DOWNLOAD' => $theme_info['download_url'] . '&amp;origin=piwigo_download',
          'IGNORED' => in_array($theme_id, $conf['AU_ignore']['themes']),
        );
      }
    }
  }
}

// Languages
include_once(PHPWG_ROOT_PATH.'admin/include/languages.class.php');
$languages = new languages();
$update_languages = array();
if ($languages->get_server_languages())
{
  foreach($languages->fs_languages as $language_id => $fs_language)
  {
    if (isset($fs_language['extension'])
      and isset($languages->server_languages[$fs_language['extension']]))
    {
      $language_info = $languages->server_languages[$fs_language['extension']];

      if (!$languages->language_version_compare($fs_language['version'], $language_info['revision_name']))
      {
        $update_languages[] = array(
          'ID' => $language_info['extension_id'],
          'LANGUAGE_ID' => $language_id,
          'REVISION_ID' => $language_info['revision_id'],
          'EXT_NAME' => $fs_language['name'],
          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$language_info['extension_id'],
          'EXT_DESC' => trim($language_info['extension_description'], " \n\r"),
          'REV_DESC' => trim($language_info['revision_description'], " \n\r"),
          'CURRENT_VERSION' => $fs_language['version'],
          'NEW_VERSION' => $language_info['revision_name'],
          'AUTHOR' => $language_info['author_name'],
          'DOWNLOADS' => $language_info['extension_nb_downloads'],
          'URL_DOWNLOAD' => $language_info['download_url'] . '&amp;origin=piwigo_download',
          'IGNORED' => in_array($language_id, $conf['AU_ignore']['languages']),
        );
      }
    }
  }
}

$template->assign('update_plugins', $update_plugins);
$template->assign('update_themes', $update_themes);
$template->assign('update_languages', $update_languages);
$template->assign('SHOW_RESET', (!empty($conf['AU_ignore']['plugins']) or !empty($conf['AU_ignore']['themes']) or !empty($conf['AU_ignore']['languages'])));
$template->set_filename('plugin_admin_content', realpath(AUTOUPDATE_PATH.'template/extensions.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>